Skip to main content

Lease Documents

NewBeta

Lease Document objects represent lease documents associated with an occupancy in AppFolio®. Skywalk API allows you to obtain the following lease document attributes from AppFolio®.

The Lease Document Object

Attributes


namestring
Name of the lease document.
Example:
"kersten-song_09-30-2024.pdf"

leaseFromstring
Lease start date (e.g. "09/23/2024").
Example:
"09/23/2024"

leaseTostring
Lease end date (e.g. "09/22/2025").
Example:
"09/22/2025"

statusstring
Status of the lease document (e.g. "Fully Executed").
Example:
"Fully Executed"

leaseDocumentIdstring
AppFolio ID of the lease document.
Example:
"2268"

file.idstring
Attachment ID of the lease document file.
Example:
"116249"

file.signedUrlstring
Signed URL to download the lease document.
Example:
"https://s3.amazonaws.com/appfolio-documents/example-signed-url"

file.fileNamestring
Name of the lease document file.
Example:
"kersten-song_09-30-2024.pdf"

file.contentTypestring
MIME content type of the lease document.
Example:
"application/pdf"

file.fileSizeinteger
File size in bytes.
Example:
45678

The Lease Document Object
{
"name": "kersten-song_09-30-2024.pdf",
"leaseFrom": "09/23/2024",
"leaseTo": "09/22/2025",
"status": "Fully Executed",
"leaseDocumentId": "2268",
"file": {
"id": "116249",
"signedUrl": "https://s3.amazonaws.com/appfolio-documents/example-signed-url",
"fileName": "kersten-song_09-30-2024.pdf",
"contentType": "application/pdf",
"fileSize": 45678
}
}

Get All Lease Documents

GET /v1/lease-documents?occupancyId=<occupancyId>

Follows: AuthenticationCachingPollingList Response FormatScheduled Job

The lease documents endpoint returns a list of lease documents for a given occupancy in your AppFolio® account. This endpoint should respond immediately with your most recently cached data.

Parameters


occupancyIdstring
AppFolio ID of the occupancy.

 

Returns


The standard List Response Format with a data property containing an array of Lease Document objects.

GET /v1/lease-documents?occupancyId=1850
curl -X GET 'https://api.skywalkapi.com/v1/lease-documents?occupancyId=1850' \ 
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/lease-documents",
"query": {
"occupancyId": "1850"
},
"count": 1,
"lastUpdated": 1610992228
},
"links": {
"next": "/v1/lease-documents?cursor=abcdefg"
},
"data": [
{
"name": "kersten-song_09-30-2024.pdf",
"leaseFrom": "09/23/2024",
"leaseTo": "09/22/2025",
"status": "Fully Executed",
"leaseDocumentId": "2268",
"file": {
"id": "116249",
"signedUrl": "https://s3.amazonaws.com/appfolio-documents/example-signed-url",
"fileName": "kersten-song_09-30-2024.pdf",
"contentType": "application/pdf",
"fileSize": 45678
}
}
]
}